#include <bits/stdc++.h>
using namespace std;
int main(){
	int k;
	cin>>k;
	int a;
	while (k!=0){
		a=k%10;
		if (a==0){
			k/=10;
		}
		else if (a==5){
			cout<<2;
			k/=10;
		}
		else if (a==2){
			cout<<5;
			k/=10;
		}
		else{
			cout<<a;
			k/=10;
		}
	}
		
}

